package chatrecords

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/chatrecords"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /api/chat/recommmend chatrecords GetApiRecommendChat
//
// Get chat records list | 获取ChatRecords列表
//
// Get chat records list | 获取ChatRecords列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: ChatRecommendReq
//
// Responses:
//  200: ChatRecommendResp

func GetApiRecommendChatHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.ChatRecommendReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := chatrecords.NewGetApiRecommendChatLogic(r.Context(), svcCtx)
		resp, err := l.GetApiRecommendChat(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
